# openapi.api.DefaultApi

## Load the API package
```dart
import 'package:openapi/api.dart';
```

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**createProductProductsPost**](DefaultApi.md#createproductproductspost) | **POST** /products | createProduct
[**deleteProductProductsIdDelete**](DefaultApi.md#deleteproductproductsiddelete) | **DELETE** /products/{id} | deleteProduct
[**deleteProductsProductsDelete**](DefaultApi.md#deleteproductsproductsdelete) | **DELETE** /products | deleteProducts
[**getProductProductsIdGet**](DefaultApi.md#getproductproductsidget) | **GET** /products/{id} | getProduct
[**getProductsProductsGet**](DefaultApi.md#getproductsproductsget) | **GET** /products | getProducts
[**updateProductProductsIdPut**](DefaultApi.md#updateproductproductsidput) | **PUT** /products/{id} | updateProduct


# **createProductProductsPost**
> Product createProductProductsPost(product)

createProduct

### Example
```dart
import 'package:openapi/api.dart';

final api_instance = DefaultApi();
final product = Product(); // Product | 

try {
    final result = api_instance.createProductProductsPost(product);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->createProductProductsPost: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **product** | [**Product**](Product.md)|  | 

### Return type

[**Product**](Product.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **deleteProductProductsIdDelete**
> bool deleteProductProductsIdDelete(id)

deleteProduct

### Example
```dart
import 'package:openapi/api.dart';

final api_instance = DefaultApi();
final id = id_example; // String | 

try {
    final result = api_instance.deleteProductProductsIdDelete(id);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->deleteProductProductsIdDelete: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **deleteProductsProductsDelete**
> bool deleteProductsProductsDelete()

deleteProducts

### Example
```dart
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

try {
    final result = api_instance.deleteProductsProductsDelete();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->deleteProductsProductsDelete: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getProductProductsIdGet**
> Product getProductProductsIdGet(id)

getProduct

### Example
```dart
import 'package:openapi/api.dart';

final api_instance = DefaultApi();
final id = id_example; // String | 

try {
    final result = api_instance.getProductProductsIdGet(id);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->getProductProductsIdGet: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 

### Return type

[**Product**](Product.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getProductsProductsGet**
> List<Product> getProductsProductsGet()

getProducts

### Example
```dart
import 'package:openapi/api.dart';

final api_instance = DefaultApi();

try {
    final result = api_instance.getProductsProductsGet();
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->getProductsProductsGet: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<Product>**](Product.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **updateProductProductsIdPut**
> Product updateProductProductsIdPut(id, product)

updateProduct

### Example
```dart
import 'package:openapi/api.dart';

final api_instance = DefaultApi();
final id = id_example; // String | 
final product = Product(); // Product | 

try {
    final result = api_instance.updateProductProductsIdPut(id, product);
    print(result);
} catch (e) {
    print('Exception when calling DefaultApi->updateProductProductsIdPut: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**|  | 
 **product** | [**Product**](Product.md)|  | 

### Return type

[**Product**](Product.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

